import { EditorPlugin } from '@draft-js-plugins/editor';
import { EditorState } from 'draft-js';
import { FileData } from './handleDroppedFiles';
export { readFile, readFiles } from './utils/file';
export declare type PlaceholderBlockType = {
    key: string;
    text: string;
    blockKey: string;
};
export declare type FileToUpload = {
    src: string;
    name: string;
};
declare type SucessFunction = (uploadedFiles: Array<FileToUpload>) => void;
declare type FailFunction = (file: FileToUpload) => void;
declare type ProgressFunction = (percent: number, file: FileToUpload) => void;
export interface DndUploadPluginConfig {
    handleUpload?(data: FileData, success: SucessFunction, failed: FailFunction, progress: ProgressFunction): string;
    addImage?(editorState: EditorState, placeholderSrc: string | ArrayBuffer | null): EditorState;
}
declare const createDndFileUploadPlugin: (config?: DndUploadPluginConfig) => EditorPlugin;
export default createDndFileUploadPlugin;
